2

I want to install gcc 4.8+, preferrably 4.9 on my Red Hat Enterprise Linux Workstation release 6.7 (santiago)

I have a subscription to rhn-classic.

I tried installing devtoolset as given in https://access.redhat.com/documentation/en-US/Red_Hat_Developer_Toolset/3/html/User_Guide/sect-Red_Hat_Developer_Toolset-Subscribe.html

I list the available channels and instead of

rhel-x86_64-workstation-6-rhscl-1

I see

rhel-x86_64-workstation-6-rhscl-1-beta

so i add it using

 rhn-channel --add --channel=rhel-x86_64-workstation-6-rhscl-1-beta

And then when i run

yum install devtoolset-3

It says No package devtoolset-3 available.

Any Help would be appreciated.

5

Since the package is either not available, or using a different name, the first step is to find which is the case. Use

yum list available |grep gcc
yum list available |grep devtoolset

to find whether you have misspelled the package name, or if gcc is available under a different name. Check using yum info for the package. Its description should show the relevant version information.

According to Red Hat's article What gcc versions are available in Red Hat Enterprise Linux?, gcc 4.8 is available for Red Hat Enterprise 7. If you need gcc 4.8 for RHEL 6, you may have to compile it yourself.

Further reading:

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.